General Question

Breefield's avatar

Does anyone here use MooTools?

Asked by Breefield (2728points) June 10th, 2008

Prompted by the change from 1.1.1 to 1.2 I’m in need of some help. Anyhow, I’ve chatted on their IRC and whatnot – poked around the forum, and looked through the docs. But my 1.1.1 code still breaks with I run the 1.2 framework. I try replacing some of the thing I know will break it, but other things that (I believe) adhere to the docs manage to break the code.
This is rather annoying, does anyone have any help, thoughts, suggestions, or tips?

Observing members: 0 Composing members: 0

2 Answers

xyzzy's avatar

Don’t upgrade to 1.2. There is rarely an absolute need to upgrade things, especially when it comes to web toolkits. Depending on what you are doing, you could even run 1.1 and 1.2 on different pages of the same site.

As for debugging, try firefox with the firebug plugin. That’s the most productive environment I know of for debugging javascript.

Breefield's avatar

I am….but I’m just hitting walls left and right. Some stuff breaks, and other stuff doesn’t. I’m not sure why any of it breaks. Anyhow, this is rather annoying.

Answer this question

Login

or

Join

to answer.

This question is in the General Section. Responses must be helpful and on-topic.

Your answer will be saved while you login or join.

Have a question? Ask Fluther!

What do you know more about?
or
Knowledge Networking @ Fluther